package com.gihon.component.properties;

import java.util.List;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.boot.context.properties.EnableConfigurationProperties;

import lombok.Data;

@Data
@ConfigurationProperties(prefix = "gihon.common")
@EnableConfigurationProperties(GihonCommonProperties.class)
public class GihonCommonProperties {
	
	private String loginPath;

	private long tokenExpired = 1000*60*60*24L;//24小时
	
	private long refreshTokenExpired = 1000*60*60*72L;//72小时
	
	private long exipredMore = 1000*60L;
	
	private boolean mutiLogin = false;//互踢或者共存

	private List<String> whiteUrlList;//白名单
	
	private int moduleType = 1;
	
	private String moduleCode;

	private IdStrategy idStrategy;
	
	private boolean async;//是否开启异步或者schedule定时器
	
	private boolean executor;//是否创建一个线程池
	 
	@Data
    public static class IdStrategy {
        /**
         * 终端ID (0-31)      单机配置0 即可。 集群部署，根据情况每个实例自增即可。
         */
        private Long workerId = 0L;
        /**
         * 数据中心ID (0-31)   单机配置0 即可。 集群部署，根据情况每个实例自增即可。
         */
        private Long dataCenterId = 0L;
    }
}
