package com.gihon.component.response;

import java.util.Collection;

import com.baomidou.mybatisplus.core.metadata.IPage;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("分页数据")
public class PageBean<T> {

	@ApiModelProperty(value = "数据列表")
	private Collection<T> records;
	@ApiModelProperty(value = "总数")
	private int total = 0;
	@ApiModelProperty(value = "每页大小")
	private int size = 10;
	@ApiModelProperty(value = "总页数")
	private int pages = 0;
	@ApiModelProperty(value = "当前页")
	private int current = 1;

	public PageBean() {
	}

	public PageBean(IPage<T> page) {
		this.records = page.getRecords();
		this.total = (int) page.getTotal();
		this.current = (int) page.getCurrent();
		this.size = (int) page.getSize();
		this.pages = (int) page.getPages();
	}

}
