package com.gihon.component.response;

import lombok.Getter;

@Getter
public enum ResponseStatus {

    SUCCESS(200, "成功"),
    NO_DATA(202, "没有数据"),
    BUSINESS_ERROR(300, "业务错误"), // 业务错误 例 : 参数不匹配或参数验证不正确
    LOGIN_ERROR(300, "账号密码错误"), //
    VALIDCODE_ERROR(300, "验证码错误"), //
    VALID_ERROR(300, "统一验证参数异常"), // 业务错误 例 : 参数不匹配或参数验证不正确
    PARAM_ERROR(300, "参数类型解析异常"),
    TOKEN_EXPIRED(301, "Token已过期"), //
    REFRESH_TOKEN_EXPIRED(301, "RereshToken已过期"), //
    RESOURCE_ERROR(400, "资源错误"), // 资源不不存在
    UNAUTHORIATION(401, "未登录"),
    FORBIDDEN(403, "没有权限"),
    SQL_ERROR(500, "SQL运行异常"),
    ERROR(500, "服务器错误");

    private String message;

    private int code;

    ResponseStatus(int code, String message) {
        this.message = message;
        this.code = code;
    }

}
