package com.gihon.component.web.auth;

import java.util.List;

import com.gihon.component.web.vo.PermissionVO;

/**
 * 动态鉴权
 * 
 * @author baihe
 *
 */
public interface AuthService {

  
    /**
     * 通过请求地址和当前用户权限 获取请求地址需要的权限比较 忽略平台类型
     * 
     * @param uri
     * @param token
     * @param checkResult
     * @return
     */
    public boolean checkPermission(String uri, int moduleType, String token, AuthUser checkResult);

    /**
     * 通过URI获取权限列表
     * 
     * @param uri
     * @param token
     * @param checkResult
     * @return
     */
    public List<String> getPermission(String uri);

    /**
     * 从redis缓存中读取权限
     * @See AuthService.init()
     * @return
     */
    public List<PermissionVO> getPermissionList();


   
}
