package com.gihon.component.web.auth;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.annotation.Order;
import org.springframework.http.HttpMethod;
import org.springframework.stereotype.Component;
import org.springframework.web.servlet.HandlerInterceptor;

import com.gihon.component.web.service.TokenService;
import com.gihon.component.web.vo.UserInfo;

/**
 * token转UserInfo并存放于请求域
 * 非Security
 * @author baihe
 *
 */
@Order(1)
@Component
public class AuthTokenInterceptor implements HandlerInterceptor {

    @Autowired
    private TokenService tokenService;

    @Override
    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) {
        if (request.getMethod().equals(HttpMethod.OPTIONS.name())) {
            response.setStatus(HttpServletResponse.SC_OK);
            return true;
        }
        String token = AuthUtils.parseToken(request);
        // 认证token是否合法
        if (StringUtils.isNotBlank(token)) {
            request.setAttribute(AuthUtils.REQ_TOKEN, token);
            UserInfo checkResult = tokenService.checkTokenInfo(token);
            if (checkResult != null) {
                AuthUtils.setUser(checkResult);
            }
        }
        return true;
    }

}
