package com.gihon.component.web.config;


import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.boot.web.servlet.error.ErrorController;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.gihon.component.response.Response;
import com.gihon.component.response.ResponseStatus;

import lombok.extern.slf4j.Slf4j;
import springfox.documentation.annotations.ApiIgnore;

/**
 * @version 1.0
 * @Author mwh
 * @Date 2020/5/14 10:19
 */
@ApiIgnore
@Slf4j
@RestController
public class HttpErrorController implements ErrorController {

    private static final String ERROR_PATH = "/error";

    @RequestMapping(path = ERROR_PATH,method = {RequestMethod.GET})
    @org.springframework.web.bind.annotation.ResponseStatus(HttpStatus.OK)
    public Response<?> error(HttpServletRequest request, HttpServletResponse response) {
        log.error("error 错误代码：{},{}", response.getStatus(),request.getRequestURI());
        switch (response.getStatus()) {
            case 400:
                return Response.error(ResponseStatus.RESOURCE_ERROR,"请校验请求参数");
            case 404:
                return Response.error(ResponseStatus.RESOURCE_ERROR,"资源不存在");
            default:
                return Response.error(ResponseStatus.RESOURCE_ERROR,"其他异常,请联系管理员");
        }
    }

}
