package com.gihon.component.web.vo;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 登录接口传输数据
 * @author baihe
 *
 */
@Setter
@Getter
@ToString
public class LoginUser {
	
	/**
	 * 用户名
	 */
	@ApiModelProperty("登录方式:1WEB,2APP,3MISCROAPP")
	private int moduleType;
	
	/**
	 * 用户名
	 */
	@ApiModelProperty("用户名")
	@NotNull(message = "用户名不能为空")
	private String userAccount;
	/**
	 * 密码
	 */
	@ApiModelProperty("密码")
	@NotNull(message = "密码不能为空")
	private String passWord;
	/**
	 * 验证码
	 */
	@ApiModelProperty("验证码")
	private String validCode;
	
	/**
	 * 验证token的时候
	 */
	@ApiModelProperty("token")
	private String token;
	/**
	 * 所属系统模块(登录的时候不用)
	 */
	@ApiModelProperty("所属系统模块")
	private String moduleCode;
	
	/**
	 * 系统退出通知地址
	 */
	@Deprecated
	@ApiModelProperty("登出通知接口地址")
	private String moduleNotifyUrl;
	
}
