package com.gihon.component.web.vo;

import java.util.ArrayList;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonIgnore;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

/**
 * 菜单树
 * 
 * @author baihe
 *
 */
@EqualsAndHashCode(of = "menuId")
@Setter
@Getter
public class MenuVO {

    @JsonIgnore
    private Long menuId;

    private String menuCode;

    private List<MenuVO> children = new ArrayList<>();

    private List<PermissionVO> permissions = new ArrayList<>();

    public void addMenu(MenuVO menu) {
        children.add(menu);
    }
    public void addPermission(PermissionVO permission) {
        permissions.add(permission);
    }
    /**
     * 不符合的返回true
     * 
     * @return
     */
    public boolean filter() {
        return (children == null || children.isEmpty()) && (permissions == null || permissions.isEmpty());
    }
}
