package com.gihon.component.web.vo;

import java.io.Serializable;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.gihon.component.web.auth.AuthUser;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 获取用户信息
 * 
 * @author baihe
 *
 */
@Data
public class UserInfo implements AuthUser, Serializable {

    /**
     * 
     */
    private static final long serialVersionUID = -5957738185840681340L;

    @ApiModelProperty("ID")
    private Long id;

    @ApiModelProperty("姓名")
    private String nickName;

    @ApiModelProperty("登录账号")
    private String username;

    @JsonIgnore
    private String password;

    @JsonIgnore
    private String salt;// 用userAccount代替

    @ApiModelProperty("公司ID")
    private Long companyId;// 公司ID

    @ApiModelProperty(value = "是否是公司管理员")
    private Boolean companyAdmin = false;
    /* 以下是 SpringSecurity */
    /**
     * 是否有效
     */
    private boolean enabled = true;

    /**
     * 账号非过期
     */
    private boolean accountNonExpired = true;

    /**
     * 账号非锁定
     */
    private boolean accountNonLocked = true;

    /**
     * 非过期认证
     */
    private boolean credentialsNonExpired = true;
    
    /**
     * 创建时间
     */
    private long createdTime = System.currentTimeMillis();
    
    
    private List<String> roleList;

    public UserInfo() { 
        
    }


}
