package com.gihon.component.rbac.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.gihon.component.entity.CompanyBaseEntity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 系统模块下菜单按钮权限(RBAC)
 * 不在此中管理的全部值设为登录即可
 * 模块(子系统)
 * 	->菜单1
 * 		->子菜单1
 * 			->list
 * 			->add
 * 			->update
 * 			->remove
 * 			->detail	
 *  	->子菜单2
 *  ->菜单2
 * 		->子菜单1
 *  	->子菜单2
 * 
 * @author baihe
 *
 */
@Setter
@Getter
@TableName("gihon_button")
public class GihonButton extends CompanyBaseEntity{

	@ApiModelProperty(value = "菜单名称")
	private String buttonName;
	
	@ApiModelProperty(value = "菜单编码唯一:Vue通过此编码判断按钮功能权限")
	private String buttonCode;
	
	@ApiModelProperty(value = "排序号升序")
	private Integer orderNum;
	
	@ApiModelProperty(value = "菜单ID")
	private Long menuId ;
	
	@ApiModelProperty(value = "后台访问路径:用于服务器判断权限")
	private String path;
	
	@ApiModelProperty(value = "后台访问方法:用于服务器判断权限")
	private String method;
	
	@ApiModelProperty(value = "是否选中")
	@TableField(exist = false)
	private boolean checked;
	
}
