package com.gihon.component.rbac.entity;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Size;

import com.baomidou.mybatisplus.annotation.TableName;
import com.gihon.component.entity.BaseEntity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 系统公司
 * 
 * @author baihe
 *
 */
@Setter
@Getter
@TableName("gihon_company")
public class GihonCompany extends BaseEntity{

    @Size(max = 120,message="名称不能超过120个字符")
    @NotBlank(message="名称不能为空")
	@ApiModelProperty(value = "名称")
	private String companyName;
	
	@ApiModelProperty(value = "描述账号")
	private String companyDescription;
	
	@ApiModelProperty(value = "电话")
	private String telephone;
	
	@ApiModelProperty(value = "地址")
	private String address;
	
	@ApiModelProperty(value = "是否启用")
	private Boolean enable;
}
