package com.gihon.component.rbac.entity;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import com.baomidou.mybatisplus.annotation.TableName;
import com.gihon.component.entity.CompanyBaseEntity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 系统模块下菜单(RBAC)
 * 模块(子系统)
 * 	->菜单1
 * 		->子菜单1(显示页面,但是获取(操作)数据需要有按钮权限)
 *  	->子菜单2
 *  ->菜单2
 * 		->子菜单1
 *  	->子菜单2
 * 
 * @author baihe
 *
 */
@Setter
@Getter
@TableName("gihon_menu")
public class GihonMenu extends CompanyBaseEntity{

	@NotBlank
	@ApiModelProperty(value = "菜单名称")
	private String menuName;
	
	@NotBlank
	@ApiModelProperty(value = "菜单编码唯一")
	private String menuCode;
	
	@ApiModelProperty(value = "排序号升序")
	private Integer orderNum;
	
	@NotNull
	@ApiModelProperty(value = "所属模块")
	private Long moduleId;	

	@NotNull
	@ApiModelProperty(value = "父菜单:-1的代表顶级菜单")
	private Long parentId = -1L;
	
	@ApiModelProperty(value = "路由路径:可以为空,前段Vue通过路由匹配")
	private String path;
}
