package com.gihon.component.rbac.entity;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import com.baomidou.mybatisplus.annotation.TableName;
import com.gihon.component.entity.CompanyBaseEntity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 系统模块(RBAC)
 * 不同的子系统模块
 * @author baihe
 *
 */
@Setter
@Getter
@TableName("gihon_module")
public class GihonModule extends CompanyBaseEntity{

	@NotBlank(message = "模块名称不许为空")
	@ApiModelProperty(value = "模块名称")
	private String moduleName;
	
	@NotBlank(message = "模块编码不许为空")
	@ApiModelProperty(value = "模块编码")
	private String moduleCode;
	
	@ApiModelProperty(value = "排序号升序")
	private Integer orderNum;
	
	@ApiModelProperty(value = "模块描述")
	private String moduleDescription;	

	@ApiModelProperty(value = "模块Logo")
	private String moduleLogo;
	
	/**
	 * @see com.gihon.component.enums.ModuleType
	 */
	@Min(value = 1,message = "模块类型请设置1-3范围内")
	@Max(value = 3,message = "模块类型请设置1-3范围内")
	@NotNull(message = "模块类型不许为空")
	@ApiModelProperty(value = "模块类型")
	private Integer moduleType;
}
