package com.gihon.component.rbac.listener;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.event.TransactionalEventListener;

import com.gihon.component.rbac.service.PermissionService;

import lombok.extern.slf4j.Slf4j;

@Slf4j
@Component
public class CustomerHandler  {

    @Autowired
    private PermissionService permissionService;

    @TransactionalEventListener
    public void onApplicationEvent(CustomerEvent event) {
        handlerEvent(event);
    }

    private void handlerEvent(CustomerEvent event) {
        if (event.getType() == 1) {
            permissionService.refreshUser(event.getId());
        } else if (event.getType() == 2) {
            permissionService.refreshModule(event.getId());
        } else {
            permissionService.refreshModule(event.getId());
        }
    }
}
