package com.gihon.component.rbac.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gihon.component.rbac.entity.GihonRoleButton;

public interface GihonRoleButtonService extends IService<GihonRoleButton> {

    /**
     * 获取按钮关联的角色
     */
    public List<Long> getRoleListByBtn(Long buttonId);

    /**
     * 获取角色关联的按钮
     */
    public List<Long> getButtonListByRole(Long roleId);

    /**
     * 移除角色关联的按钮(buttonList为null的时候是删除全部,否则只是部分删除)
     */
    public boolean removeButtonByRoleId(Long roleId, List<Long> buttonList);

    /**
     * 新增角色关联的按钮
     */
    public boolean insertRoleButton(Long roleId, List<Long> buttonList);

    /**
     * 移除角色关联的按钮
     */
    public boolean deleteRoleButton(Long roleId, List<Long> buttonList);
}
