package com.gihon.component.rbac.service;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gihon.component.rbac.entity.GihonButton;
import com.gihon.component.rbac.entity.GihonRole;
import com.gihon.component.rbac.vo.RoleButtonReq;
import com.gihon.component.rbac.vo.RoleListReq;
import com.gihon.component.response.SelectVal;

public interface GihonRoleService extends IService<GihonRole> {

    /**
     * 获取用户的角色列表
     */
    public List<GihonRole> getRoleList(Long userId);

    /**
     * 按照角色IDS获取角色列表
     */
    public List<GihonRole> getRoleListByIds(List<Long> ids);

    /**
     * 前端分页获取角色列表
     */
    public IPage<GihonRole> getRolelistPage(RoleListReq companyListReq);

    /**
     * 新增角色
     */
    public boolean saveRole(GihonRole role);

    /**
     * 更新角色
     */
    public boolean updateRole(GihonRole role);

    /**
     * 移除一个角色
     */
    public boolean removeRole(Long roleId);

    /**
     * 获取在某个模块下的按钮权限
     */
    public List<GihonButton> getButtonByRoleModule(Long roleId, Long moduleId);

    /**
     * 设置角色在某个模块下的按钮权限
     */
    public boolean setButtonByRoleModule(RoleButtonReq req);
    
    public List<SelectVal> labelAndValue(Long companyId,String roleName);
}
