package com.gihon.component.sso.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gihon.component.rbac.service.PermissionService;
import com.gihon.component.response.Response;
import com.gihon.component.web.vo.MenuVO;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@Api(value ="根据权限获取菜单当前系统菜单" ,tags = "根据权限获取菜单当前系统菜单")
@RestController
@RequestMapping("${gihon.common.sso-path:'sso'}/permission")
public class PermissionContoller {

    @Autowired
    private PermissionService permissionService;
    
    @ApiOperation("权限菜单:列表用于前后端分离判断路由和按钮")
    @GetMapping()
    public Response<List<MenuVO>> getPermission(String moduleCode,int moduleType) {
        List<MenuVO> list = permissionService.getPermission(moduleCode,moduleType);
        return Response.ok(list);
    }
}
