package com.gihon.component.sso.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gihon.component.exception.LoginException;
import com.gihon.component.rbac.entity.GihonUser;
import com.gihon.component.rbac.service.GihonUserService;
import com.gihon.component.response.ResponseStatus;
import com.gihon.component.sso.service.LoginUserService;
import com.gihon.component.util.PasswordUtils;
import com.gihon.component.web.vo.UserInfo;

@Service
public class LoginUserServiceImpl implements LoginUserService {

    @Autowired
    private GihonUserService gihonUserService;

    @Override
    public UserInfo queryUserByUserAccount(String account) {
        GihonUser user = gihonUserService.lambdaQuery().eq(GihonUser::getUsername, account).one();
        UserInfo userInfo = null;
        if (user != null) {
            userInfo = user.toUserInfo();
        }
        return userInfo;
    }

    @Override
    public UserInfo queryUserForLogin(String account, String password) {
        UserInfo userInfo = this.queryUserByUserAccount(account);
        if (userInfo == null) {
            throw new LoginException(ResponseStatus.LOGIN_ERROR);
        }
        boolean checkFlag = PasswordUtils.checkPassword(userInfo.getPassword(), password, userInfo.getSalt());

        if (!checkFlag) {
            throw new LoginException(ResponseStatus.LOGIN_ERROR);
        }
        return userInfo;
    }

   

}
