package com.gihon.component.sso.service.impl;

import java.util.List;
import java.util.stream.Collectors;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gihon.component.properties.RedisConstants;
import com.gihon.component.rbac.entity.GihonRole;
import com.gihon.component.rbac.entity.GihonUser;
import com.gihon.component.rbac.service.GihonRoleService;
import com.gihon.component.rbac.service.GihonUserService;
import com.gihon.component.web.service.impl.UserInfoService;
import com.gihon.component.web.vo.UserInfo;

@Service
public class UserInfoServiceImpl implements UserInfoService {

    @Autowired
    private GihonUserService gihonUserService;
    @Autowired
    private GihonRoleService gihonRoleService;

    @Override
    public UserInfo queryUserByUserAccount(String account) {
        GihonUser user = gihonUserService.lambdaQuery().eq(GihonUser::getUsername, account).one();
        UserInfo userInfo = null;
        if (user != null) {
            userInfo = user.toUserInfo();
            List<GihonRole> rl = gihonRoleService.getRoleList(userInfo.getId());
            userInfo.setRoleList(rl.stream().map(r -> r.getCompanyId() + RedisConstants.SEP + r.getRoleCode())
                .collect(Collectors.toList()));
        }

        return userInfo;

    }

}
